#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.visual
import psychopy.event
import psychopy.core
import codecs #日本語を含むテキストファイルの読み書きに便利

win = psychopy.visual.Window(
    monitor='defaultMonitor', units='cm', color='black')
clock = psychopy.core.Clock()

stim1 = psychopy.visual.Rect( # 誘導刺激
    win, width=6.0, height=6.0, pos=[-4,0],
    lineColor=None, fillColor=[0.3,0.3,0.3])
stim2 = psychopy.visual.Rect( # テスト刺激
    win, width=3.0, height=3.0, pos=[-4,0],
    lineColor=None, fillColor=[0.0,0.0,0.0])
probe = psychopy.visual.Rect( # プローブ
    win, width=3.0, height=3.0, pos=[4,0],
    lineColor=None, fillColor=[0.0,0.0,0.0])

datafile = codecs.open('data.csv','w','utf-8') #データファイルを作成
waiting_keypress = True #この変数がTrueの間刺激を提示する

clock.reset()
while waiting_keypress:
    keys = psychopy.event.getKeys(timeStamped=clock)
    for key in keys: #取得したキー一覧から順番にキーを取り出して確認
        if key[0]=='left' or key[0]=='right': #カーソルキーの右か左
            datafile.write('{},{:.3f}\n'.format(key[0],key[1]))
            waiting_keypress = False #while文を終了する
            break # for文を中断する
    stim1.draw()
    stim2.draw()
    probe.draw()

    win.flip()

datafile.close() #データファイルを閉じる